input_file = snakemake.input[0]
output_file = snakemake.output[0]
timestep = snakemake.params.timestep


import matplotlib.pyplot as plt
import numpy as np

#get grid from time stamp
with open(input_file,"rb") as input:
    grid = np.load(input)
    
plt.figure(figsize=(50,50))
plt.imshow(grid, cmap="Greys")
plt.axis('off')
plt.title(f"time step t = {timestep}", fontsize = 50, loc = 'left')
plt.savefig(output_file, dpi = 10) #bbox_inches='tight') #limited resolution
