output_file = snakemake.output[0]
gridsize = snakemake.params.gridsize
probcell = float(snakemake.params.probcell)

import numpy as np

#fill grid randomly with cells
grid = np.array([np.array([0]*gridsize) for i in range(gridsize)])
for i in range(gridsize):
    for j in range(gridsize):
        grid[i][j] = np.random.choice([0,1], p=[1-probcell,probcell])

#same new grid to file
with open(output_file,"wb") as output:
    np.save(output, np.array(grid))
